<body>
<div>
  <ul>
    <li *ngFor="let question of questions | async">
      <a [title]="question.title" [routerLink]="['/questions', question.id]" (click)="detailsQuestion(question.id)">
        <h3>
          {{question.title}}
        </h3>
        <span>Content : </span> <br/> <span>{{question.content}}</span>
      </a>
    </li>
  </ul>
</div>

<div class="paginationControl">

  <button class="paginationBtn"
          *ngIf="page | async as page"
          (click)="displayPageContent(1)"
          [disabled]="page.page <= 1"> <<
  </button>

  <button class="paginationBtn"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.page - 1)"
          [disabled]="page.page <= 1"> Prev.
  </button>

  <button class="paginationBtn-page"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.page)"
          [disabled]="page.page > page.totalPage">{{page.page}}
  </button>

  <button class="paginationBtn-page"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.page + 1)"
          [disabled]="page.page + 1 > page.totalPage">{{page.page + 1}}
  </button>

  <button class="paginationBtn-page"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.page + 2)"
          [disabled]="page.page + 2 > page.totalPage">{{page.page + 2}}
  </button>

  <button class="displayBtn"
          *ngIf="page | async as page"
          [disabled]="true">... {{page.totalPage}}
  </button>

  <button class="paginationBtn"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.page + 1)"
          [disabled]="page.page >= page.totalPage"> Next
  </button>

  <button class="paginationBtn"
          *ngIf="page | async as page"
          (click)="displayPageContent(page.totalPage)"
          [disabled]="page.page >= page.totalPage"> >>
  </button>

  <button class="displayBtn"
          *ngIf="page | async as page"
          [disabled]="true">{{page.count}} elements on this page to a total of {{page.totalCount}} elements
  </button>
</div>

</body>
